---
created: 2024-02-20 11:34
updated: 2024-03-12 13:49
tags:
  - dev-tools
---
## Revertir cambios

Si necesitamos _"deshacer"_ los cambios introducidos en uno o multiples commits, podemos utilizar `git revert --no-edit older_commit_hashˆ..newer_commit_hash`, donde:

- git realizará un nuevo commit con los cambios contrarios por cada commit en el rango
- utilizar `ˆ` en el `old_commit_hash` incluirá ese commit en la reversión de cambios, si no se agrega se empezará a revertir de un commit más adelante.
- `--no-edit` es utilizado para que git no nos pregunte por el message de cada nuevo commit
- primero debe ser el commit más antiguo, porque git creará nuevos commits en orden provisto y de hacerlo al revés aparecerán conflictos
- si solo se quiere revertir un commit, se puede especificar solo ese hash
